# class IAXFormatDesc | IAX format description. More...
Full name | `TelEngine::IAXFormatDesc`
Definition | `#include <libs/yiax/yateiax.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline IAXFormatDesc ()
- inline u_int32_t format () const
- inline unsigned int multiplier () const
- void setFormat (u_int32_t fmt, int type)

#### Protected Members

- u_int32_t m_format
- unsigned int m_multiplier

## Detailed Description

This class holds IAX format description

inline IAXFormatDesc () | ### IAXFormatDesc

Constructor

inline u_int32_t format () | ### format

[const]

Get the format

Returns: The format

inline unsigned int multiplier () | ### multiplier

[const]

Get the format multiplier used to translate timestamps

Returns: The format multiplier (always greater then 0)

void setFormat (u_int32_t fmt, int type) | ### setFormat

Set the format

Parameters:

fmt | The format
type | Format type as IAXFormat::Media enumeration

u_int32_t m_format | ### m_format

[protected]

unsigned int m_multiplier | ### m_multiplier

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.